<?php

namespace Schaffen\Core\Employee\Managers;


use Freelabois\LaravelQuickstart\Extendables\ManipulationManager;
use Schaffen\Core\Employee\Repositories\EmployeeRepository;


class EmployeeManager extends ManipulationManager
{
    protected $validation = [
        self::CREATE => [],
        self::EDIT => []
    ];

    public function __construct(EmployeeRepository $repository)
    {
        $this->repository = $repository;
    }

    public function buscarFilialPessoa($user){
        $funcionario = $this->repository->first(['fun_fk_pes_codigo' => $user->usu_fk_pes_codigo]);
        return $funcionario->fun_fk_fil_codigo ?? null;
    }

}
